Index: ruby/branches/0.0/models/rm/common/archetyped.rb
===================================================================
--- ruby/branches/0.0/models/rm/common/archetyped.rb	(revision 31)
+++ ruby/branches/0.0/models/rm/common/archetyped.rb	(revision 167)
@@ -1,7 +1,7 @@
-module OpenEHR
+module OpenEhr
   module RM
     module Common
       module Archetyped
-        module Locater_Constants
+        module LocaterConstants
           CURRENT_TRANSACTION_ID = "current"
           FRAGMENT_SEPARATOR = "#"
@@ -32,5 +32,5 @@
         end
         class Locatable < Pathable
-          include Locater_Constants
+          include LocaterConstants
           attr_accessor :uid, :archetype_node_id, :archetype_details
           attr_accessor :feeder_audit, :links, :parent
Index: ruby/branches/0.0/models/rm/common/generic.rb
===================================================================
--- ruby/branches/0.0/models/rm/common/generic.rb	(revision 31)
+++ ruby/branches/0.0/models/rm/common/generic.rb	(revision 167)
@@ -1,8 +1,8 @@
-module OpenEHR
+module OpenEhr
   module RM
     module Common
       module Generic
-        class Revision_History
-        end # of Revision_History
+        class RevisionHistory
+        end # of RevisionHistory
       end # of Generic
     end # of Common
Index: ruby/branches/0.0/models/rm/common/resource.rb
===================================================================
--- ruby/branches/0.0/models/rm/common/resource.rb	(revision 31)
+++ ruby/branches/0.0/models/rm/common/resource.rb	(revision 167)
@@ -1,4 +1,4 @@
 require 'set'
-module OpenEHR
+module OpenEhr
   module RM
     module Common
Index: ruby/branches/0.0/models/rm/composition/content/entry.rb
===================================================================
--- ruby/branches/0.0/models/rm/composition/content/entry.rb	(revision 31)
+++ ruby/branches/0.0/models/rm/composition/content/entry.rb	(revision 167)
@@ -1,3 +1,3 @@
-module OpenEHR
+module OpenEhr
   module RM
     module Content
@@ -5,7 +5,7 @@
         class Entry < Content_Item
         end
-        class Care_Entry < Entry
+        class CareEntry < Entry
         end
-        class Action < Care_Entry
+        class Action < CareEntry
           attr_accessor :description, :time
           attr_accessor :ism_transition, :instruction_details
Index: ruby/branches/0.0/models/rm/data_types/basic.rb
===================================================================
--- ruby/branches/0.0/models/rm/data_types/basic.rb	(revision 31)
+++ ruby/branches/0.0/models/rm/data_types/basic.rb	(revision 167)
@@ -1,14 +1,14 @@
-module OpenEHR
+module OpenEhr
   module RM
-    module Data_Types
+    module DataTypes
       module Basic
-        module Canonical_Fragment
+        module CanonicalFragment
         end
 
-        class Data_Value
-          include OpenEHR::RM::Support::Definition::Basic_Definition
+        class DataValue
+          include OpenEhr::RM::Support::Definition::BasicDefinition
         end
 
-        class DV_Boolean < Data_Value
+        class DvBoolean < DataValue
           def initialize(value)
             check_not_nil(value)
@@ -32,7 +32,7 @@
             end
           end
-        end  # end of DV_Boolean
+        end  # end of DvBoolean
 
-        class DV_State < Data_Value
+        class DvState < DataValue
           attr_accessor :value
           attr_writer :terminal
@@ -47,7 +47,7 @@
             @terminal == true
           end
-        end # end of DV_State
+        end # end of DvState
 
-        class DV_Identifier
+        class DvIdentifier
           attr_accessor :issuer, :assigner, :id, :type
           def initialize(assigner, id, issuer, type)
@@ -60,5 +60,5 @@
             @type = type
           end
-        end #end of DV_Identifier
+        end #end of DvIdentifier
       end # end of Basic
     end # end of Data_types
Index: ruby/branches/0.0/models/rm/data_types/encapslated.rb
===================================================================
--- ruby/branches/0.0/models/rm/data_types/encapslated.rb	(revision 31)
+++ ruby/branches/0.0/models/rm/data_types/encapslated.rb	(revision 167)
@@ -1,7 +1,7 @@
-module OpenEHR
+module OpenEhr
   module RM
-    module Data_Types
+    module DataTypes
       module Encapsulated
-        class DV_Encapsulated  < OpenEHR::RM::Data_Types::Basic::Data_Value
+        class DvEncapsulated  < OpenEhr::RM::DataTypes::Basic::DataValue
           attr_accessor :charset, :language
           def size
@@ -13,8 +13,8 @@
           end
         end
-        class DV_Multimedia < DV_Encapsulated
+        class DvMultimedia < DvEncapsulated
           
         end
-        class DV_Parsable < DV_Encapsulated
+        class DvParsable < DvEncapsulated
           attr_reader :value, :formalism
           def initialize(value, formalism, charset = nil, language = nil)
Index: ruby/branches/0.0/models/rm/data_types/quantity/data_time.rb
===================================================================
--- ruby/branches/0.0/models/rm/data_types/quantity/data_time.rb	(revision 31)
+++ ruby/branches/0.0/models/rm/data_types/quantity/data_time.rb	(revision 167)
@@ -1,5 +1,5 @@
-module OpenEHR
+module OpenEhr
   module RM
-    module Data_Types
+    module DataTypes
       module Quantity
         module Date_
Index: ruby/branches/0.0/models/rm/data_types/text.rb
===================================================================
--- ruby/branches/0.0/models/rm/data_types/text.rb	(revision 31)
+++ ruby/branches/0.0/models/rm/data_types/text.rb	(revision 167)
@@ -1,7 +1,7 @@
-module OpenEHR
+module OpenEhr
   module RM
-    module Data_Types
+    module DataTypes
       module Text
-        class Term_Mapping
+        class TermMapping
           attr_reader :match, :purpose, :target
           def initialize(match, purpose, target)
@@ -23,5 +23,5 @@
             match == '?'
           end
-          def Term_Mapping.is_valid_mach_code?(c)
+          def TermMapping.is_valid_mach_code?(c)
             c == '>' or c == '=' or c == '<' or c == '?'
           end
@@ -31,5 +31,5 @@
           end
           def purpose_valid(purpose)
-            if !purpose.nil? and !purpose.instance_of? DV_Coded_Text
+            if !purpose.nil? and !purpose.instance_of? DvCodedText
               raise ArgumentError, "purpose is not valid"
             end
@@ -41,5 +41,5 @@
         end
 
-        class Code_Phrase
+        class CodePhrase
           attr_reader :terminology_id, :code_string
           def initialize(terminology_id, code_string)
@@ -50,14 +50,14 @@
               raise Exception.new("empty codeString")
             end
-            if terminology_id.instance_of?(Terminology_ID)
+            if terminology_id.instance_of?(TerminologyId)
               @terminology_id = terminology_id
             else
-              @terminologyID = Terminology_ID.new(terminology_id)
+              @terminologyID = TerminologyId.new(terminology_id)
             end
             @code_string = code_string
           end
-        end # of Code_Phrase
+        end # of CodePhrase
 
-        class DV_Text < OpenEHR::RM::Data_Types::Basic::Data_Value
+        class DvText < OpenEhr::RM::DataTypes::Basic::DataValue
           attr_reader :value, :formatting, :hyperlink, :mappings
           attr_reader :language, :encoding
@@ -65,8 +65,8 @@
                          mappings = nil, language = nil, encoding = nil)
             value_valid(value)
-            DV_Text.formatting_valid(formatting)
-            DV_Text.encoding_valid(encoding)
-            DV_Text.mapping_valid(mappings)
-            DV_Text.language_valid(language)
+            DvText.formatting_valid(formatting)
+            DvText.encoding_valid(encoding)
+            DvText.mapping_valid(mappings)
+            DvText.language_valid(language)
             @value, @formatting, @encoding = value, formatting, encoding
             @mappings, @language = mappings, language
@@ -77,17 +77,17 @@
           end
           def formatting=(formatting)
-            DV_Text.formatting_valid(formatting)
+            DvText.formatting_valid(formatting)
             @formatting = formatting
           end
           def encoding=(encoding)
-            DV_Text.encoding_valid(encoding)
+            DvText.encoding_valid(encoding)
             @encoding = encoding
           end
           def mappings=(mappings)
-            DV_Text.mapping_valid(mappings)
+            DvText.mapping_valid(mappings)
             @mappings = mappings
           end
           def language=(language)
-            DV_Text.language_valid(language)
+            DvText.language_valid(language)
             @language = language
           end
@@ -96,5 +96,5 @@
             if value.nil? or value.empty? or value.include? CR or value.include? LF
               raise ArgumentError, "value is not valid"
-              # CR and LF are defined in Basic_Definition inherited Data_Value.
+              # CR and LF are defined in Basic_Definition inherited DataValue.
             end
           end
@@ -125,5 +125,5 @@
         end
 
-        class DV_Coded_Text < DV_Text
+        class DvCodedText < DvText
           attr_reader :defining_code
           def initialize(value, defining_code, formatting = nil, 
@@ -144,5 +144,5 @@
         end
 
-        class DV_Paragraph < OpenEHR::RM::Data_Types::Basic::Data_Value
+        class DvParagraph < OpenEhr::RM::DataTypes::Basic::DataValue
           attr_reader :items
           def initialize(items)
Index: ruby/branches/0.0/models/rm/data_types/time_specification.rb
===================================================================
--- ruby/branches/0.0/models/rm/data_types/time_specification.rb	(revision 31)
+++ ruby/branches/0.0/models/rm/data_types/time_specification.rb	(revision 167)
@@ -1,7 +1,7 @@
-module OpenEHR
+module OpenEhr
   module RM
-    module Data_Types
-      module Time_Specification
-        class DV_Time_Specification < OpenEHR::RM::Data_Types::Basic::Data_Value
+    module DataTypes
+      module TimeSpecification
+        class DvTimeSpecification < OpenEhr::RM::DataTypes::Basic::DataValue
           def initialize(value)
             @value = value
@@ -18,5 +18,5 @@
         end
         
-        class DV_General_Time_Specification < DV_Time_Specification
+        class DvGeneralTimeSpecification < DvTimeSpecification
           attr_reader :value
           def initialize(value)
@@ -34,5 +34,5 @@
         end
 
-        class DV_Periodic_Time_Specification < DV_Time_Specification
+        class DvPeriodicTimeSpecification < DvTimeSpecification
           attr_reader :value
           def initialize(value)
Index: ruby/branches/0.0/models/rm/data_types/uri.rb
===================================================================
--- ruby/branches/0.0/models/rm/data_types/uri.rb	(revision 31)
+++ ruby/branches/0.0/models/rm/data_types/uri.rb	(revision 167)
@@ -1,6 +1,6 @@
 require 'uri'
 #require 'uri/generic'
-module URI
-  class EHR < ::URI::Generic
+module Uri
+  class Ehr < ::URI::Generic
     COMPONENT = [
       :scheme, :path, :fragment, :query
@@ -17,11 +17,11 @@
     end
   end
-  @@schemes['EHR'] = EHR
+  @@schemes['EHR'] = Ehr
 end
-module OpenEHR
+module OpenEhr
   module RM
-    module Data_Types
-      module URI
-        class DV_URI < OpenEHR::RM::Data_Types::Basic::Data_Value
+    module DataTypes
+      module Uri
+        class DvUri < OpenEhr::RM::DataTypes::Basic::DataValue
           def initialize(value)
             raise ArgumentError, "value is empty" if value.nil?
@@ -51,5 +51,5 @@
           end
         end
-        class DV_EHR_URI < DV_URI
+        class DvEhrUri < DvUri
           def initialize(value)
             check_value(value)
Index: ruby/branches/0.0/models/rm/demographic.rb
===================================================================
--- ruby/branches/0.0/models/rm/demographic.rb	(revision 31)
+++ ruby/branches/0.0/models/rm/demographic.rb	(revision 167)
@@ -1,6 +1,6 @@
-module OpenEHR
+module OpenEhr
   module RM
     module Demogrphic
-      class Party < OpenEHR::RM::Common::Archetyped::Locatable
+      class Party < OpenEhr::RM::Common::Archetyped::Locatable
         attr_reader :details, :reverse_relationships, :uid
         attr_reader :idetities, :contacts, :relationships
Index: ruby/branches/0.0/models/rm/support/assumed_types.rb
===================================================================
--- ruby/branches/0.0/models/rm/support/assumed_types.rb	(revision 31)
+++ ruby/branches/0.0/models/rm/support/assumed_types.rb	(revision 167)
@@ -1,6 +1,6 @@
-module OpenEHR
+module OpenEhr
   module RM
     module Support
-      module Assumed_Types
+      module AssumedTypes
         class Interval
           attr_accessor :lower, :upper
Index: ruby/branches/0.0/models/rm/support/definition.rb
===================================================================
--- ruby/branches/0.0/models/rm/support/definition.rb	(revision 31)
+++ ruby/branches/0.0/models/rm/support/definition.rb	(revision 167)
@@ -1,12 +1,12 @@
-module OpenEHR
+module OpenEhr
   module RM
     module Support
       module Definition
-        module Basic_Definition
+        module BasicDefinition
           CR = "\015"
           LF = "\012"
         end
-        class OpenEHR_Definitions
-          include Basic_Definition          
+        class OpenEHRDefinitions
+          include BasicDefinition
         end
       end
Index: ruby/branches/0.0/models/rm/support/identification.rb
===================================================================
--- ruby/branches/0.0/models/rm/support/identification.rb	(revision 31)
+++ ruby/branches/0.0/models/rm/support/identification.rb	(revision 167)
@@ -1,3 +1,3 @@
-module OpenEHR
+module OpenEhr
   module RM
     module Support
Index: ruby/branches/0.0/models/rm/support/terminology.rb
===================================================================
--- ruby/branches/0.0/models/rm/support/terminology.rb	(revision 31)
+++ ruby/branches/0.0/models/rm/support/terminology.rb	(revision 167)
@@ -1,8 +1,8 @@
 
-module OpenEHR
+module OpenEhr
   module RM
     module Support
       module Terminology
-        class Code_Set_Access
+        class CodeSetAccess
           def all_codes
             raise NotImplementedError, "all_codes must be implemented"
@@ -18,5 +18,5 @@
           end
         end
-        module OpenEHR_Code_Set_Identifier
+        module OpenEhrCodeSetIdentifier
           CODE_SET_ID_CHARACER_SETS = "character sets".freeze
           CODE_SET_ID_COMPRESSION_ALGORITHMS = "compression algorithms".freeze
@@ -29,5 +29,5 @@
           end
         end
-        module OpenEHR_Terminology_Group_Identifiers
+        module OpenEhrTerminologyGroupIdentifiers
           GROUP_ID_ATTESTATION_REASON = "attestation reason".freeze
           GROUP_ID_AUDIT_CHANGE_TYPE = "audit change type".freeze
@@ -46,5 +46,5 @@
           TERMINOLOGY_ID = "openehr".freeze
         end
-        class Terminology_Access
+        class TerminologyAccess
           def all_codes
             raise NotImplementedError, "all_codes is not implemented"
@@ -74,6 +74,6 @@
           end
         end
-        class Terminology_Service
-          include OpenEHR_Code_Set_Identifier, OpenEHR_Terminology_Group_Identifiers
+        class TerminologyService
+          include OpenEhrCodeSetIdentifier, OpenEhrTerminologyGroupIdentifiers
           def code_set(name)
             raise NotImplementedError, "code_set is not implemented"
